//
//  LSPDNibCell.h
//  PluginDesigner
//
//  Created by Philippe H. Regenass on 16.04.07.
//  Copyright 2007 TREEINSPIRED.ch. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/*!
    @header		LSPDNibCell
    @abstract	LSPDNibCell : NSTextFieldCell
	@discussion Custom Cell für LSPDNibOutlineView in welchem die Views aus den verschiedenen Nibs plaziert werden
*/

@interface LSPDNibCell : NSTextFieldCell
{
	@private
	id view;
}


/*!
    @abstract	- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView
    @discussion	Beim Zeichnen der Cell wird das entsprechende View für das Item geholt und dem controlView hinzugefügt.
	@param		(NSRect)cellFrame Position des zu plazierenden SubViews.
	@param		(NSView *)controlView View des LSPDNibOutlineView in welchem das SubView plaziert werden soll.
*/
- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;


@end
